<!-- navigation 导航图标 -->
<template>
  <div>
    <div class="mb20">
      <el-button icon="el-icon-circle-plus" size="small" type="success" @click="m_addForm()">新增</el-button>
      <el-button icon="el-icon-delete" size="small" type="danger" @click="m_del">批量删除</el-button>
    </div>

    <el-table ref="m_table" size="mini" border :max-height="tableHeight" v-loading="m_tableLoading" @selection-change="m_handleSelectionChange" @current-change="m_handleCurrentChange" :stripe="true" tooltip-effect="dark" :highlight-current-row="true" :data="m_list">
      <el-table-column align="center" type="selection" width="55"></el-table-column>
      <el-table-column align="center" label="图片">
        <template slot-scope="scope">
          <img class="ad_img" :src="scope.row.img" alt>
        </template>
      </el-table-column>

      <el-table-column align="center" prop="name" label="名称"></el-table-column>
      <el-table-column align="center" label="状态">
        <template slot-scope="scope"><span :class="scope.row.status | statusClass">{{scope.row.status | getLocBaseData('status')}}</span></template>
      </el-table-column>

      <el-table-column align="center" label="操作">
        <template slot-scope="scope">
          <el-button @click.native="m_editForm(scope.row)" type="text">编辑</el-button>
          <el-button @click.native="m_oneDel(scope.row)" type="text"><span class="m_red">删除</span></el-button>
        </template>
      </el-table-column>
    </el-table>

    <Paging class="mt10 mb10" :pageIndex="m_page.page" :pageSize="m_page.limit" :pageTotal="m_page.total" @changeSize="m_changesize" @changeIndex="m_changeindex"></Paging>

    <!-- 编辑新增谈框 -->
    <!-- 添加':'编辑 -->
    <el-dialog :close-on-click-modal="false" v-if="m_show" :title="m_isadd | m_isAdd" :visible.sync="m_show" width="600px">
      <el-form :model="formData" :rules="m_rules" ref="ruleForm">
        <el-form-item label="名称" label-width="80px" prop="name">
          <el-input clearable v-model="formData.name" auto-complete="off"></el-input>
        </el-form-item>

        <el-form-item label="图片" label-width="80px" prop="img">
          <el-upload class="avatar-uploader" :action="m_action" :show-file-list="false" name="images" :with-credentials="true" :on-success="handleAvatarSuccess">
            <img v-if="formData.img" :src="formData.img" class="avatar">
            <i v-else class="el-icon-plus avatar-uploader-icon"></i>
          </el-upload>
          <p class="m_red">( 请上传图片规格 宽：高 1:1 )</p>
        </el-form-item>

        <el-form-item label="状态" label-width="80px" prop="status">
          <el-radio-group v-model="formData.status">
            <el-radio v-for="item in locBaseData.status" :label="item.id" :key="item.id">{{item.name}}</el-radio>
          </el-radio-group>
        </el-form-item>

        <el-form-item label="概述" label-width="80px">
          <el-input clearable v-model="formData.description" auto-complete="off"></el-input>
        </el-form-item>

        <el-form-item label="跳转地址" label-width="80px">
          <el-input clearable v-model="formData.url" auto-complete="off"></el-input>
        </el-form-item>

        <el-form-item label="Remark" label-width="80px">
          <el-input clearable v-model="formData.remark" auto-complete="off"></el-input>
        </el-form-item>

        <el-form-item label="排序" label-width="80px" prop="sort">
          <el-input v-model="formData.sort" auto-complete="off"></el-input>
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button @click="m_show = false">取 消</el-button>
        <el-button type="primary" :loading="m_loading" @click.native="sureOption">确 定</el-button>
      </div>
    </el-dialog>

  </div>
</template>

<script>


import * as api from '../../api/index'
export default {
  name: 'ad',

  data() {
    return {
      formData: {
        
        name: '',//名称
        description: '',//概述
        img: '',//图片
        url: '',//跳转地址
        status: '0',//状态 0:正常 1:屏蔽
        sort: '0',//排序 (从大到小排序)
        remark: ''
      },

      m_rules: {
        name: [{ required: true, message: '请输入', trigger: 'blur' } ],
        img: [{ required: true, message: '请上传', trigger: 'change' } ],
       
      }
    }
  },

  activated() {
    if (this.$route.query.keep != 1) {
      this.m_resetData()
      this.init()
    } else {

    }
  },
  methods: {
    init() {
      this.getDatalist()
    },

    //获取数据信息
    getDatalist() {
      this.m_tableLoading = true
      let data = Object.assign({}, this.m_page);

      api.navigation(data).then(res => {
        //console.log(res)
        this.m_list = res.data.data.map(i=>{
           i.status = i.status+''
           return i
        })
        this.m_page.total = res.data.total

      }).finally(() => {
        this.m_tableLoading = false
      })
    },


    //添加
    addData() {
      this.m_loading = true
      api.navigation_add(this.formData).then(res => {
        this.m_page.page = 1
        this.m_success('添加成功')
        this.m_show = false
        this.getDatalist()
      }).catch(res => {

      }).finally(() => {
        this.m_loading = false
      })
    },

    //编辑
    editData() {
      this.m_loading = true
      api.navigation_update(this.formData).then(res => {
        // 修改成功
        this.m_success('修改成功')
        this.m_show = false
        this.getDatalist()
      }).catch(res => {

      }).finally(() => {
        this.m_loading = false
      })
    },


    //删除
    delData(id) {
      let m_delId = id ? [id] : this.m_delId
      this.m_loading = true
      api.navigation_delete(m_delId).then(res => {
        // 删除成功
        this.m_loading = false
        this.m_success('删除成功')
        this.getDatalist()
      }).catch(res => {
        this.m_loading = false
      })
    },

    handleAvatarSuccess(res, file) {
      this.formData.img = res.data
      console.log(res, file)
    }


  },
  watch: {

  },


}

</script>
<style lang='scss' scoped>
.ad_img {
  width: 60px;
  height: 60px;
}
.avatar-uploader .el-upload {
  border: 1px dashed #d9d9d9;
  border-radius: 6px;
  cursor: pointer;
  position: relative;
  overflow: hidden;
}
.avatar-uploader .el-upload:hover {
  border-color: #409eff;
}
.avatar-uploader-icon {
  font-size: 28px;
  color: #8c939d;
  width: 178px;
  height: 178px;
  line-height: 178px;
  text-align: center;
  border: 1px dashed #d9d9d9;
}
.avatar {
  width: 178px;
  height: 178px;
  display: block;
  border: 1px dashed #d9d9d9;
}
</style>